SDL_GetDateTimeLocalePreferences(3)

NAME
SDL_GetDateTimeLocalePreferences - Gets the current preferred date and time format for the system locale.

SYNOPSIS
#include <SDL3/SDL_time.h>

bool SDL_GetDateTimeLocalePreferences(SDL_DateFormat *dateFormat, SDL_TimeFormat *timeFormat);

DESCRIPTION
This might be a "slow" call that has to query the operating system. It's best to ask for this once and save the results. However, the preferred formats can change, usually because the user has changed a system preference outside of your program.

FUNCTION PARAMETERS

dateFormat
    a pointer to the SDL_DateFormat to hold the returned date format, may be NULL.

timeFormat
    a pointer to the SDL_TimeFormat to hold the returned time format, may be NULL.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.